# Uses of Class
org.apache.wiki.api.exceptions.WikiException

Packages that use WikiException
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.engine
JSPWiki's Engine's component related classes.
org.apache.wiki.api.exceptions
JSPWiki's API exceptions package.

## Uses of WikiException in org.apache.wiki.api.core

Methods in org.apache.wiki.api.core that throw WikiException
Modifier and Type
Method
Description
`void`
Engine.`initialize(Properties properties)`
Sets up the application's running `Engine`.
`default void`
Engine.`start(Properties properties)`
Initializes the `Engine`, notifying all the `EngineLifecycleExtension`s.

## Uses of WikiException in org.apache.wiki.api.engine

Methods in org.apache.wiki.api.engine that throw WikiException
Modifier and Type
Method
Description
`void`
Initializable.`initialize(Engine engine, Properties props)`
Initializes this Engine component.

## Uses of WikiException in org.apache.wiki.api.exceptions

Subclasses of WikiException in org.apache.wiki.api.exceptions
Modifier and Type
Class
Description
`class`
`FilterException`
A generic PageFilter exception.
`class`
`NoRequiredPropertyException`
Marks an erroneous jspwiki.properties file.
`class`
`NoSuchVariableException`
Marks that no such variable was located.
`class`
`PluginException`
Provides a generic PluginException.
`class`
`ProviderException`
This exception represents the superclass of all exceptions that providers may throw.
`class`
`RedirectException`
This exception may be thrown if a filter wants to reject something and redirect the user elsewhere.
`class`
`WikiI18nException`
A generic Wiki exception, meant to carry key & args to construct i18n messages to show meaningful messages to end-user.